<div class="cheshalo-main-import-area cheshalo-row cheshalo-one-column">
	<div class="cheshalo-column cheshalo-stretch-column">
		<div class="cheshalo-column-inner">
			<div class="cheshalo-box cheshalo-box-shadow">
				<div class="cheshalo-box-header">
					<?php if ( cheshalo_get_opt( 'white_label' ) ) : ?>
						<h2>CheshAlo header builder</h2>
					<?php else : ?>
						<h2>مدیریت هدر</h2>
					<?php endif; ?>
				</div>
				<div class="cheshalo-box-content">
					<div id="whb-header-builder">
						<div class="xts-notice xts-info">
							<?php esc_attr_e( 'The header builder cannot be loaded correctly. Probably, there is some JS conflict with some of the installed plugins or some issue with the header builder script. Check your JS console to debug this. Try to disable all external plugins and be sure that you have the latest version of the theme installed and then check again.', 'cheshalo' ); ?>
						</div>
					</div>
				</div>
				<?php if ( apply_filters( 'cheshalo_header_builder_admin_footer_links', true ) ) : ?>
					<div class="cheshalo-box-footer">
						<p>
							<a href="https://themefars.com/docs/cheshalo/header-builder/" target="_blank" class="whb-docs-link">
								<span class="dashicons dashicons-media-document"></span>
								<span class="link-title"><?php esc_html_e( 'Documentation', 'cheshalo' ); ?></span>
							</a>

							<a href="https://www.youtube.com/playlist?list=PLMw6W4rAaOgI5rk5lf0JqYXwPEkOAsAxt" target="_blank" class="whb-videos-link">
								<span class="dashicons dashicons-video-alt3"></span>
								<span class="link-title"><?php esc_html_e( 'Video tutorials', 'cheshalo' ); ?></span>
							</a>
							<a href="https://themefars.com/forums/forum/cheshalo-premium-template/" target="_blank" class="whb-support-link">
								<span class="dashicons dashicons-sos"></span>
								<span class="link-title"><?php esc_html_e( 'Support forum', 'cheshalo' ); ?></span>
							</a>
						</p>
					</div>
				<?php endif; ?>
			</div>
		</div>
	</div>
</div>
