<div class="cheshalo-row cheshalo-one-column">
	<div class="cheshalo-column cheshalo-stretch-column">
		<div class="cheshalo-column-inner">
			<div class="cheshalo-box cheshalo-box-shadow">
				<div class="cheshalo-box-header">
					<h2>Activate your theme license</h2>
					<span class="cheshalo-box-label <?php if ( cheshalo_is_license_activated() ): ?>cheshalo-label-success<?php else: ?>cheshalo-label-warning<?php endif; ?>">
						<?php if ( cheshalo_is_license_activated() ): ?>
							<?php esc_html_e('Activated', 'cheshalo'); ?>
						<?php else: ?>
							<?php esc_html_e('Optional', 'cheshalo'); ?>
						<?php endif ?>
					</span>
				</div>
				<div class="cheshalo-box-content">
					<?php CHESHALO_Registry()->license->form(); ?>
				</div>
				<?php if ( ! cheshalo_get_opt( 'white_label' ) ) : ?>
					<div class="cheshalo-box-footer">
						<p>
							<strong>Note:</strong> you are allowed to use our theme only on one domain if you have purchased a regular license. <br/>
							But we give you an ability to activate our theme to turn on auto updates on two domains: for the development website and for your production (live) website.<br>
							If you need to check all your active domains or you want to remove some of them you should visit <a href="https://themefars.com/" target="_blank">our website</a> and check the activation list in your account.
						</p>
					</div>
				<?php endif; ?>
			</div>
		</div>
	</div>
</div>