<?php
if ( ! defined( 'CHESHALO_THEME_DIR' ) ) {
	exit( 'No direct script access allowed' );
}

/**
* ------------------------------------------------------------------------------------------------
*  Compare element map
* ------------------------------------------------------------------------------------------------
*/
if ( ! function_exists( 'cheshalo_vc_map_compare' ) ) {
	function cheshalo_vc_map_compare() {
		if ( ! shortcode_exists( 'cheshalo_compare' ) ) {
			return;
		}

		vc_map(
			array(
				'name'        => esc_html__( 'Compare', 'cheshalo' ),
				'base'        => 'cheshalo_compare',
				'category'    => esc_html__( 'Theme elements', 'cheshalo' ),
				'description' => esc_html__( 'Required for the compare table page.', 'cheshalo' ),
				'icon'        => CHESHALO_ASSETS . '/images/vc-icon/compare.svg',
			)
		);
	}
	add_action( 'vc_before_init', 'cheshalo_vc_map_compare' );
}
