<?php
if ( ! defined( 'CHESHALO_THEME_DIR' ) ) {
	exit( 'No direct script access allowed' );
}

/**
 * ------------------------------------------------------------------------------------------------
 *  Wishlist element map
 * ------------------------------------------------------------------------------------------------
 */
if ( ! function_exists( 'cheshalo_vc_map_wishlist' ) ) {
	function cheshalo_vc_map_wishlist() {
		vc_map(
			array(
				'name'        => esc_html__( 'Wishlist', 'cheshalo' ),
				'base'        => 'cheshalo_wishlist',
				'category'    => esc_html__( 'Theme elements', 'cheshalo' ),
				'description' => esc_html__( 'Required for the wishlist page.', 'cheshalo' ),
				'icon'        => CHESHALO_ASSETS . '/images/vc-icon/wishlist.svg',
			)
		);
	}
	
	add_action( 'vc_before_init', 'cheshalo_vc_map_wishlist' );
}
