/* global cheshalo_settings */
(function($) {
	cheshaloThemeModule.filtersArea = function() {
		var filters = $('.filters-area'),
		    time    = 200;

		cheshaloThemeModule.$body.on('click', '.open-filters', function(e) {
			e.preventDefault();

			if (isOpened()) {
				closeFilters();
			} else {
				cheshaloThemeModule.openFilters(time);
				setTimeout(function() {
					cheshaloThemeModule.$document.trigger('wdFiltersOpened');
				}, time);
			}
		});

		if (cheshalo_settings.shop_filters_close === 'no') {
			cheshaloThemeModule.$body.on('click', cheshaloThemeModule.ajaxLinks, function() {
				if (isOpened()) {
					closeFilters();
				}
			});
		}

		var isOpened = function() {
			filters = $('.filters-area');
			return filters.hasClass('filters-opened');
		};

		var closeFilters = function() {
			filters = $('.filters-area');
			filters.removeClass('filters-opened');
			filters.stop().slideUp(time);
		};
	};

	cheshaloThemeModule.openFilters = function(time) {
		var filters = $('.filters-area');
		filters.stop().slideDown(time);

		setTimeout(function() {
			filters.addClass('filters-opened');
			cheshaloThemeModule.$document.trigger('wdFiltersOpened');

			cheshaloThemeModule.$body.removeClass('body-filters-opened');
			cheshaloThemeModule.$document.trigger('wood-images-loaded');
		}, time);
	};

	$(document).ready(function() {
		cheshaloThemeModule.filtersArea();
	});
})(jQuery);
