/* global cheshalo_settings */
(function($) {
	cheshaloThemeModule.$document.on('wdShopPageInit', function () {
		cheshaloThemeModule.stickySidebarBtn();
	});

	cheshaloThemeModule.stickySidebarBtn = function() {
		var $trigger = $('.wd-show-sidebar-btn');
		var $stickyBtn = $('.wd-sidebar-opener.wd-on-shop:not(.toolbar)');

		if ($stickyBtn.length <= 0 || $trigger.length <= 0 || cheshaloThemeModule.$window.width() >= 1024) {
			return;
		}

		var stickySidebarBtnToggle = function() {
			var btnOffset = $trigger.offset().top + $trigger.outerHeight();
			var windowScroll = cheshaloThemeModule.$window.scrollTop();

			if (btnOffset < windowScroll) {
				$stickyBtn.addClass('wd-sticky');
			} else {
				$stickyBtn.removeClass('wd-sticky');
			}
		};

		stickySidebarBtnToggle();

		cheshaloThemeModule.$window.on('scroll', stickySidebarBtnToggle);
		cheshaloThemeModule.$window.on('resize', stickySidebarBtnToggle);
	};

	$(document).ready(function() {
		cheshaloThemeModule.stickySidebarBtn();
	});
})(jQuery);
