<?php 
	global $product;


	do_action( 'woocommerce_before_shop_loop_item' ); 
?>

	<div class="product-wrapper">
		<div class="product-element-top">
			<a href="<?php echo esc_url( get_permalink() ); ?>" class="product-image-link">
				<?php
					/**
					 * woocommerce_before_shop_loop_item_title hook
					 *
					 * @hooked woocommerce_show_product_loop_sale_flash - 10
					 * @hooked cheshalo_template_loop_product_thumbnail - 10
					 */
					do_action( 'woocommerce_before_shop_loop_item_title' );
				?>
			</a>
			<?php cheshalo_hover_image(); ?>
			<div class="wd-buttons wd-pos-r-t<?php echo cheshalo_get_old_classes( ' cheshalo-buttons' ); ?>">
				<?php cheshalo_enqueue_js_script( 'btns-tooltip' ); ?>
				<?php cheshalo_quick_view_btn( get_the_ID() ); ?>
				<?php cheshalo_add_to_compare_loop_btn(); ?>
				<?php do_action( 'cheshalo_product_action_buttons' ); ?>
			</div> 
			<?php cheshalo_quick_shop_wrapper(); ?>
		</div>

		<div class="product-list-content">
			<?php
				/**
				 * woocommerce_shop_loop_item_title hook
				 *
				 * @hooked woocommerce_template_loop_product_title - 10
				 */
				do_action( 'woocommerce_shop_loop_item_title' );
			?>
			<?php
				cheshalo_product_categories();
				cheshalo_product_brands_links();
			?>
			<?php woocommerce_template_single_rating(); ?>
			<?php woocommerce_template_loop_price(); ?>
			<?php 
				echo cheshalo_swatches_list();
			?>
			<?php woocommerce_template_single_excerpt(); ?>
			<?php cheshalo_swatches_list(); ?>

			<?php if ( cheshalo_loop_prop( 'progress_bar' ) ): ?>
				<?php cheshalo_stock_progress_bar(); ?>
			<?php endif ?>

			<?php if ( cheshalo_loop_prop( 'timer' ) ): ?>
				<?php cheshalo_product_sale_countdown(); ?>
			<?php endif ?>
			<div class="wd-add-btn wd-add-btn-replace<?php echo cheshalo_get_old_classes( ' cheshalo-add-btn' ); ?>"><?php do_action( 'woocommerce_after_shop_loop_item' ); ?></div>
		</div>
	</div>
