<div class="wrap">
	<div class="about-wrap">
		<h1>
			<?php if ( cheshalo_get_opt( 'white_label' ) && cheshalo_get_opt( 'white_label_dashboard_title' ) ) : ?>
				<?php echo esc_html( cheshalo_get_opt( 'white_label_dashboard_title' ) ); ?>
			<?php else : ?>
				 به داشبورد چشالو خوش آمدید! 
			<?php endif; ?>
		</h1>

		<div class="about-text">
			<?php if ( cheshalo_get_opt( 'white_label' ) && cheshalo_get_opt( 'white_label_dashboard_text' ) ) : ?>
				<?php echo esc_html( cheshalo_get_opt( 'white_label_dashboard_text' ) ); ?>
			<?php else : ?>
				از شما برای خرید چشالو از تم فارس متشکریم. برای دریافت پشتیبانی و یا آخرین نسخه قالب از طریق دکمه های زیر اقدام نمایید. 
			<?php endif; ?>
		</div>

		<div class="cheshalo-theme-badge">
			<?php
			$badge_url = CHESHALO_ASSETS_IMAGES . '/cheshalo-badge.png';

			if ( cheshalo_get_opt( 'white_label_dashboard_logo' ) && cheshalo_get_opt( 'white_label' ) ) {
				$image_data = cheshalo_get_opt( 'white_label_dashboard_logo' );

				if ( isset( $image_data['url'] ) && $image_data['url'] ) {
					$badge_url = wp_get_attachment_image_url( $image_data['id'], 'medium' );
				}
			}
			?>
			<img src="<?php echo esc_url( $badge_url ); ?>">
			<span>
				<?php
				$theme_version = explode( '.', cheshalo_get_theme_info( 'Version' ) );
				echo esc_html( $theme_version[0] . '.' . $theme_version[1] );
				?>
			</span>
		</div>

		<?php if ( apply_filters( 'cheshalo_dashboard_links', true ) ) : ?>
			<p class="redux-actions">
				 <a href="https://themefars.com/user/" class="btn-rate button" target="_blank">دریافت آخرین نسخه قالب</a>
				<a href="https://themefars.com/customer-support/" class="btn-support button button-primary" target="_blank">دریافت پشتیبانی</a>
			</p>
		<?php endif; ?>
	</div>

	<div class="cheshalo-wrap-content">
		<h2 class="nav-tab-wrapper">
			<?php foreach ( $this->get_tabs() as $tab => $title ) : ?>
				<?php if ( 'wizard' === $tab ) : ?>
					<?php continue; ?>
				<?php endif; ?>
				<a class="nav-tab 
				<?php
				if ( $this->get_current_tab() == $tab ) {
					echo 'nav-tab-active';
				}
				?>
				" href="<?php echo esc_url( $this->tab_url( $tab ) ); ?>"><?php echo esc_html( $title ); ?></a>
			<?php endforeach ?>
		</h2>
