<?php if ( ! defined('CHESHALO_THEME_DIR')) exit('No direct script access allowed');

/**
 * ------------------------------------------------------------------------------------------------
 *	WPBakery Button element
 * ------------------------------------------------------------------------------------------------
 */

if( ! class_exists( 'CHESHALO_HB_Button' ) ) {
	class CHESHALO_HB_Button extends CHESHALO_HB_Element {

		public function __construct() {

			$this->args = array(
				'text' => esc_html__( 'Button with link', 'cheshalo' ), 
				'icon' => CHESHALO_ASSETS_IMAGES . '/header-builder/icons/hb-ico-button.svg',
			);	

			$this->vc_element = 'cheshalo_button';
			parent::__construct();
			$this->template_name = 'button';
		}

		public function map() {}
	}
}
