<?php if ( ! defined( 'CHESHALO_THEME_DIR' ) ) exit( 'No direct script access allowed' );

/**
* Cheshalo switch param
*/
if ( ! function_exists( 'cheshalo_get_switch_param' ) ) {
	function cheshalo_get_switch_param( $settings, $value ) {
		$value = ( $value == '' && isset( $settings['default'] ) ) ? $settings['default'] : $value;

        $output = '<div class="cheshalo-vc-switch">';
            $output .= '<input type="hidden" class="switch-field-value wpb_vc_param_value" name="' . esc_attr( $settings['param_name'] ) . '" value="' . esc_attr( $value ) . '">';
            $output .= '<div class="cheshalo-vc-switch-inner">';
                $output .= '<div class="switch-controls switch-active" data-value="' . esc_attr( $settings['true_state'] ) . '"><span>' . esc_html( 'Yes', 'cheshalo' ) . '</span></div>';
                $output .= '<div class="switch-controls switch-inactive" data-value="' . esc_attr( $settings['false_state'] ) . '"><span>' . esc_html( 'No', 'cheshalo' ) . '</span></div>';
            $output .= '</div>';
        $output .= '</div>';

        return $output;
    }
    
}
