<?php if ( ! defined('CHESHALO_THEME_DIR')) exit('No direct script access allowed');

/**
 * Register widget that displays HTML static block
 *
 */

if ( ! class_exists( 'CHESHALO_Static_Block_Widget' ) ) {
	class CHESHALO_Static_Block_Widget extends WPH_Widget {
	
		function __construct() {
			
		
			// Configure widget array
			$args = array( 
				// Widget Backend label
				'label' => esc_html__( 'CHESHALO HTML Block', 'cheshalo' ), 
				// Widget Backend Description								
				'description' => esc_html__( 'Display HTML block', 'cheshalo' ), 	
				'slug' => 'cheshalo-html-block',
			 );
		
		
			// fields array

			$args['fields'] = array( 	
				array(
					'id' => 'id',
					'type' => 'dropdown', 
					'heading' => 'Select block',
					'value' => cheshalo_get_static_blocks_array()
				)
			
			 ); // fields array

			// create widget
			$this->create_widget( $args );
		}
		
		// Output function

		function widget( $args, $instance )	{
	
			echo cheshalo_get_html_block( $instance['id'] );
		}
	
	} // class
}
