/* global cheshalo_settings */
(function($) {
	cheshaloThemeModule.ageVerify = function() {
		if (cheshalo_settings.age_verify !== 'yes' || Cookies.get('cheshalo_age_verify') === 'confirmed') {
			return;
		}

		$.magnificPopup.open({
			items          : {
				src: '.wd-age-verify'
			},
			type           : 'inline',
			closeOnBgClick : false,
			closeBtnInside : false,
			showCloseBtn   : false,
			enableEscapeKey: false,
			removalDelay   : 500,
			tClose         : cheshalo_settings.close,
			tLoading       : cheshalo_settings.loading,
			callbacks      : {
				beforeOpen: function() {
					this.st.mainClass = 'mfp-move-horizontal wd-promo-popup-wrapper';
				}
			}
		});

		$('.wd-age-verify-allowed').on('click', function() {
			Cookies.set('cheshalo_age_verify', 'confirmed', {
				expires: parseInt(cheshalo_settings.age_verify_expires),
				path   : '/'
			});

			$.magnificPopup.close();
		});

		$('.wd-age-verify-forbidden').on('click', function() {
			$('.wd-age-verify').addClass('wd-forbidden');
		});
	};

	$(document).ready(function() {
		cheshaloThemeModule.ageVerify();
	});
})(jQuery);
