/* global cheshalo_settings */
(function($) {
	cheshaloThemeModule.headerBanner = function() {
		var banner_version = cheshalo_settings.header_banner_version;

		if ('closed' === Cookies.get('cheshalo_tb_banner_' + banner_version) || 'no' === cheshalo_settings.header_banner_close_btn || 'no' === cheshalo_settings.header_banner_enabled) {
			return;
		}

		if (!cheshaloThemeModule.$body.hasClass('page-template-maintenance')) {
			cheshaloThemeModule.$body.addClass('header-banner-display');
		}

		$('.header-banner').on('click', '.close-header-banner', function(e) {
			e.preventDefault();
			closeBanner();
		});

		var closeBanner = function() {
			cheshaloThemeModule.$body.removeClass('header-banner-display').addClass('header-banner-hide');

			Cookies.set('cheshalo_tb_banner_' + banner_version, 'closed', {
				expires: 60,
				path   : '/'
			});
		};
	};

	$(document).ready(function() {
		cheshaloThemeModule.headerBanner();
	});
})(jQuery);
