/* global cheshalo_settings */
(function($) {
	cheshaloThemeModule.product360Button = function() {
		if ('undefined' === typeof $.fn.magnificPopup) {
			return;
		}

		$('.product-360-button a').magnificPopup({
			type           : 'inline',
			mainClass      : 'mfp-fade',
			preloader      : false,
			tClose         : cheshalo_settings.close,
			tLoading       : cheshalo_settings.loading,
			fixedContentPos: false,
			removalDelay   : 500,
			callbacks      : {
				beforeOpen: function() {
					this.st.mainClass = 'mfp-move-horizontal';
				},
				open      : function() {
					cheshaloThemeModule.$window.trigger('resize');
				}
			}
		});
	};

	$(document).ready(function() {
		cheshaloThemeModule.product360Button();
	});
})(jQuery);
