/* global cheshalo_settings */
(function($) {
	$(window).on('elementor/frontend/init', function() {
		if (!elementorFrontend.isEditMode()) {
			return;
		}

		$(window).on('resize', function() {
			cheshaloThemeModule.singleProductTabsAccordion();
		});
	});

	cheshaloThemeModule.singleProductTabsAccordion = function() {
		var $wcTabs = $('.woocommerce-tabs');
		if (cheshaloThemeModule.windowWidth > 1024 || $wcTabs.length <= 0) {
			return;
		}

		$wcTabs.removeClass('tabs-layout-tabs').addClass('tabs-layout-accordion');
		$('.single-product-page').removeClass('tabs-type-tabs').addClass('tabs-type-accordion');
	};

	$(document).ready(function() {
		cheshaloThemeModule.singleProductTabsAccordion();
	});
})(jQuery);
